Package com.independentsoft.office.word.customMarkup

# Enum Class DateMappingType

java.lang.Object
java.lang.Enum<DateMappingType>
com.independentsoft.office.word.customMarkup.DateMappingType

All Implemented Interfaces:
  `Serializable`, `Comparable<DateMappingType>`, `Constable`

public enum DateMappingType extends Enum<DateMappingType>
The Enum DateMappingType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATE`
  `DATE_TIME`
  `NONE`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DateMappingType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DateMappingType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DATE

    public static final DateMappingType DATE

  - ### DATE_TIME

    public static final DateMappingType DATE_TIME

  - ### TEXT

    public static final DateMappingType TEXT

  - ### NONE

    public static final DateMappingType NONE

- ## Method Details

  - ### values

    public static DateMappingType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DateMappingType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null